# ListWebhookSubscriptions

List all subscriptions

`GET /webhooks/subscriptions`

**API:** Avalara E-Invoicing API
**Tag:** Subscriptions
**API Version:** 1.4
**Base URL:** https://api.sbx.avalara.com/einvoicing
**Authentication:** Bearer token

Source: https://developer.avalara.com/products/e-invoicing/api/v1.4/methods/Subscriptions/ListWebhookSubscriptions/

## Description

Retrieve a list of all subscriptions.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `undefined` |  |  | No |  |
| `undefined` |  |  | No |  |
| `undefined` |  |  | No |  |
| `undefined` |  |  | No |  |
| `undefined` |  |  | No |  |
| `undefined` |  |  | No |  |
| `undefined` |  |  | No |  |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | A list of subscriptions | `SubscriptionListResponse` |
| 401 | Not authenticated | `WebhooksErrorResponse` |
| 403 | Access token does not have the required scope | `WebhooksErrorResponse` |
| 500 | Internal server error | `WebhooksErrorResponse` |

## Example Request

```bash
curl -X GET "https://api.sbx.avalara.com/einvoicing/webhooks/subscriptions" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```